package zero1hd.polyjet.audio.map;

import org.apache.commons.math3.random.MersenneTwister;

import com.badlogic.gdx.utils.FloatArray;

import zero1hd.polyjet.audio.AudioAnalyzer;

public class RhythmMapAlgorithm implements Runnable {
	private FloatArray bassPeaks;
	private FloatArray UMPeaks;
	private FloatArray overlappedPeaks;
	private MersenneTwister rand;
	public RhythmMapAlgorithm(AudioAnalyzer analyzer) {
		bassPeaks = analyzer.getBassPeaks();
		UMPeaks = analyzer.getUMPeaks();
		overlappedPeaks = analyzer.getOverlappedPeaks();
		rand = new MersenneTwister(analyzer.getPUID());
	}
	
	@Override
	public void run() {
		for (int index = 0; index < bassPeaks.size; index++) {
			if (overlappedPeaks.get(index) != 0) {
				//TODO basic void spawning
			} else if (bassPeaks.get(index) != 0) {
				//TODO basic bar spawning
			} else {
				if (UMPeaks.get(index) != 0) {
					//TODO basic pellet scatter spawn
				}
				//TODO rest of the basic generation
			}
		}
	}
}
